<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" class="h-100">
<head>
    <title>Add a new Paper</title>
	<meta charset="utf-8">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="theme-color" content="#7952b3">
	<link rel="icon" href="/assets/icons/favicon.ico" type="image/x-icon"/>

	<!-- Bootstrap core CSS -->
    <link th:rel="stylesheet" th:href="@{assets/bootstrap-datepicker/css/bootstrap-datepicker.css}"/>
    <link th:rel="stylesheet" th:href="@{assets/bootstrap-datepicker/css/bootstrap-datepicker.standalone.css}"/>
	<link href="/assets/css/bootstrap.min.css" rel="stylesheet">

	<style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      main > .container {
		padding: 60px 15px 0;
	  }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>


</head>
<body class="d-flex flex-column h-100">

	<header>
	  <!-- Fixed navbar -->
	  <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
	    <div class="container-fluid">
	      <a class="navbar-brand" href="/">Paper App</a>
	      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
	        <span class="navbar-toggler-icon"></span>
	      </button>
	      <div class="collapse navbar-collapse" id="navbarCollapse">
	        <ul class="navbar-nav me-auto mb-2 mb-md-0">
	          
	        </ul>
	        <div class="d-flex">
	        	<ul class="navbar-nav me-auto mb-2 mb-md-0">
	          		<li class="nav-item">
	            		<a class="nav-link" href="/papers">Papers</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/authors">Authors</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/reviewers">Reviewers</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/universities">Universities</a>
					</li>
					  
	        	</ul>

	        </div>
	      </div>
	    </div>
	  </nav>
	</header>









	<!-- Begin page content -->
	<main class="flex-shrink-0">
        <div class="container">

			
			<h1 class="mt-5">Add a new paper</h1>

			<form action="#" th:action="@{/save_paper}" th:object="${paper}" method="post">

				<div class="mb-3">
					<label for="paper-doi" class="form-label">DOI</label>
					<input type="text" th:field="*{doi}" class="form-control" id="paper-doi" placeholder="Insert the DOI">
				</div>
				<div class="mb-3">
					<label for="paper-title" class="form-label">Title</label>
					<input type="text" th:field="*{title}" class="form-control" id="paper-title" placeholder="Insert the title">
				</div>
				<div class="mb-3">
					<label for="paper-subtitle" class="form-label">SubTitle</label>
					<input type="text" th:field="*{subTitle}" class="form-control" id="paper-subtitle" placeholder="Insert the subtitle">
				</div>
				<div class="mb-3">
					<label for="paper-ncit" class="form-label">Number of Citations</label>
					<input type="number" min="0" th:field="*{ncit}" class="form-control" id="paper-ncit" placeholder="Insert the number of citations">
				</div>
				<div class="mb-3">
					<label for="paper-pubdate" class="form-label">Pubblication Date</label>
					<input type="date" th:field="*{pubDate}" class="form-control" id="paper-pubdate" placeholder="Insert the pubblication date">
				</div>
				
				
				<div class="mb-3">
					<button type="submit" class="btn btn-primary">Submit</button>
					<button type="reset" class="btn btn-danger">Reset</button>
				</div>

			</form>


			<!--<h1>Form</h1>
				<form action="#" th:action="@{/save_paper}" th:object="${paper}" method="post">
				<p>Title: <input type="text" th:field="*{title}"/></p>
				<p>Subtitle: <input type="text" th:field="*{subTitle}" /></p>
				<p>Doi: <input type="text" th:field="*{doi}" /></p>
				<p>Ncit: <input type="number" min="0" th:field="*{ncit}" /></p>
				<p>pubDate: <input type="date" th:field="*{pubDate}" /></p>
				<p><input type="submit" value="Submit" /> <input type="reset" value="Reset" /></p>
			</form>-->
				
        </div>
    </main>











	<footer class="footer mt-auto py-3 bg-light">
	  <div class="container">
	    <span class="text-muted">Made with ❤️ by <a href="https://github.com/derogab">@derogab</a>, <a href="https://github.com/dlcgold">@dlcgold</a> and <a href="https://github.com/fdila">@fdila</a>.</span>
	  </div>
	</footer>

	<script src="/assets/js/bootstrap.bundle.min.js"></script>

</body>
</html>
